Package org.apache.iotdb.jdbc

## Class Field

- java.lang.Object
- - org.apache.iotdb.jdbc.Field

    public class Field
    extends Object

### Constructor Summary

Constructors
`Field​(String tableName, String name, String sqlType)`
`Field​(String tableName, String name, String sqlType, Object val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getSqlType()`
`String` `getTableName()`
`Object` `getVal()`
`void` `setName​(String name)`
`void` `setSqlType​(String sqlType)`
`void` `setTableName​(String tableName)`
`void` `setVal​(Object val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Field

    public Field​(String tableName,
                 String name,
                 String sqlType)

#### Field

    public Field​(String tableName,
                 String name,
                 String sqlType,
                 Object val)

### Method Detail

#### getVal

    public Object getVal()

#### setVal

    public void setVal​(Object val)

#### getName

    public String getName()

#### setName

    public void setName​(String name)

#### getTableName

    public String getTableName()

#### setTableName

    public void setTableName​(String tableName)

#### getSqlType

    public String getSqlType()

#### setSqlType

    public void setSqlType​(String sqlType)